/*****************************************************************************
* wanpipe_ctypes.h WANPIPE(tm) - Basic Data types for Sangoma MS Windows API.
*
* Author: 	David Rokhvarg <davidr@sangoma.com
*
* Copyright:	(c) 2007 Sangoma Technologies Inc.
*
* ============================================================================
* Nov 27, 2007  David Rokhvarg	Initial version
* ============================================================================
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
*/

#ifndef _WANPIPE_CTYPES_H
#define _WANPIPE_CTYPES_H

/************* Basic data types **********/
/* signed */
typedef signed __int8	int8_t;
typedef signed __int16	int16_t;
typedef INT32		int32_t;
typedef INT64		int64_t;

typedef int8_t	int8;
typedef int16_t	int16;
typedef int32_t	int32;
typedef int64_t	int64;

typedef long	long_t;

/* unsigned */
typedef unsigned __int8		u_int8_t;
typedef unsigned __int16	u_int16_t;
typedef UINT32			u_int32_t;
typedef UINT64			u_int64_t;

typedef unsigned long	ulong_t;
typedef ulong_t		u_long;

typedef u_int8_t	uint8_t;
typedef u_int16_t	uint16_t;
typedef u_int32_t	uint32_t;
typedef u_int64_t	uint64_t;

typedef uint8_t		u8;
typedef uint16_t	u16;
typedef uint32_t	u32;
typedef uint64_t	u64;

typedef uint8_t		__u8;
typedef uint16_t	__u16;
typedef uint32_t	__u32;
typedef uint64_t	__u64;

#if defined(WAN_KERNEL)
typedef u_int8_t		u_char;

typedef u8	UCHAR,		*PUCHAR;
typedef u16	USHORT,		*PUSHORT;
typedef ulong_t ULONG,  *PULONG;
typedef long_t	LONG,   *PLONG;
typedef u32	UINT,		*PUINT;
#endif

typedef char*		caddr_t;

/******** End of Basic data types ********/

typedef u32	gfp_t;

#endif
